CSM Reachability - Changes & Fixes
This page covers the changes and fixes provided to CSM Reachability IPF Release 2025.4.0
Fixed
-
Fixed an issue where requests routed through client connectors failed when parameters contained whitespace or other URL-encoded characters. (PAY-16168)
Changed
-
Made IBANPlus configuration fields isoCountryCode and ibanIsoCountryCode mandatory
-
Swagger UI url now goes to a
/custom-api-docsinstead of/v3/api-docsforDynamic Processing Settings API (automatically generated)(new spring and webflux version were wrongly generating path and query params as objects, instead of string).(PAY-14879)
Removed
-
ipf.csm-reachability.settings-api.connection removed (following the deprecation in the 2025.2.0 release). ipf.dps-api.client-type should be used instead.
Data Ingestion
New
-
Improved the industry data ingestion process by introducing a rule that skips the approval check. When the processing entity is either unset or marked as UNKNOWN, and the data source is IMPORT, any pending approval check for that setting is automatically bypassed. (PAY-16147) This improvement is implemented in Dynamic Processing Settings.
Changed
-
file-ingestion-serviceandfile-handling-commonmodules are now moved to separate repository -dynamic-processing-settings-file-ingestion(PAY-12975)
Old configuration parameters that were under ipf.csm-reachability.settings-api are now deprecated and scheduled for removal in future releases.
This configuration is now under ipf.file-ingestion.settings-api and follows the IPF standard.
|
Old configuration parameters that were under ipf.csm-reachability.default-file-ingestion are now deprecated and scheduled for removal in future releases.
This configuration is now under ipf.file-ingestion.default-file-ingestion and follows the IPF standard.
|
Removed
-
Removed preprocess step of file ingestion, so we don’t search for records that we received in the database. Because of this all the records from the file will be sent to create endpoint and there will be decided (PAY-15412):
-
will record be created - if it doesn’t exist in database
-
will record be updated - if it exists in the database and has been changed
-
will record be ignored - if it exists in the database but hasn’t been changed
-
-
Removed fallback to update if create failed with error that setting already exists, since now create will do upsert